<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:result="http://www.example.com/results"
    xmlns:exsl="http://exslt.org/common"

	extension-element-prefixes="java util result exsl"
	exclude-result-prefixes="util java util">

	
<!-- The main layout is defined here -->
<xsl:template name="mainTemplate">
<html>
	<head>
		<!-- ***** in header.xsl ***** -->
		<xsl:call-template name="create-html-header"/>
	</head>
	<body>
	<header>
		
		<!-- header wrapper -->
		<div class="wrapper cf">
			<div id="logo">
				<a href="{$library_name}" ><img src="interfaces/{$interface_name}/img/logo.png" alt="" /></a>
			</div>
		</div><!-- ENDS header wrapper -->
		<!-- ENDS header wrapper -->
		
		
		
		<!-- nav -->
	<nav class="cf">
			<div class="wrapper cf">
				<ul id="nav" class="sf-menu">
					<xsl:call-template name="navBar"/> 
				</ul>
				<div id="combo-holder"></div>
			</div>
		</nav>
		<!-- ends nav -->
			
	</header>
		<div role="main" id="main">
		<div class="wrapper">
		<xsl:apply-templates select="/page"/>
			  </div>
	</div>
		<xsl:call-template name="gs_footer"/>
		
			<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"><xsl:text> </xsl:text></script>
	
	
	<!-- scripts concatenated and minified via build script -->
	<script src="interfaces/{$interface_name}/js/custom.js"><xsl:text> </xsl:text></script>
	
	<!-- superfish -->
	<script  src="interfaces/{$interface_name}/js/superfish-1.4.8/js/hoverIntent.js"><xsl:text> </xsl:text></script>
	<script  src="interfaces/{$interface_name}/js/superfish-1.4.8/js/superfish.js"><xsl:text> </xsl:text></script>
	<script  src="interfaces/{$interface_name}/js/superfish-1.4.8/js/supersubs.js"><xsl:text> </xsl:text></script>
	<!-- ENDS superfish -->
	
	<script src="interfaces/{$interface_name}/js/tweet/jquery.tweet.js" ><xsl:text> </xsl:text></script>
	<script src="interfaces/{$interface_name}/js/jquery.isotope.min.js"><xsl:text> </xsl:text></script>
	<script src="interfaces/{$interface_name}/js/jquery.nivo.slider.js" ><xsl:text> </xsl:text></script>
	<script src="interfaces/{$interface_name}/js/css3-mediaqueries.js"><xsl:text> </xsl:text></script>
	<script src="interfaces/{$interface_name}/js/tabs.js"><xsl:text> </xsl:text></script>
	<script  src="interfaces/{$interface_name}/js/poshytip-1.1/src/jquery.poshytip.min.js"><xsl:text> </xsl:text></script>
		
		
	</body>
</html>
</xsl:template>
	
<!-- Template controlling the footer. -->
<xsl:template name="gs_footer">
<!-- Put footer in here. -->
<footer>
		<!-- wrapper -->
		<div class="wrapper cf">
			<!-- social -->
			<div class="sb-holder cf">
				<ul id="social-bar" class="cf">
					<li class="left-corner"><i></i></li>
					<li><a href="http://www.facebook.com"  title="Become a fan" ><img src="interfaces/{$interface_name}/img/social/Facebook.png"  alt="Facebook" /></a></li>
					<li><a href="http://www.twitter.com" title="Follow my tweets" ><img src="interfaces/{$interface_name}/img/social/Twitter.png"  alt="twitter" /></a></li>
					<li><a href="http://www.google.com"  title="Add to the circle" ><img src="interfaces/{$interface_name}/img/social/Google+.png" alt="Google plus" /></a></li>
					<li class="right-corner"><i></i></li>
					<li><a href="http://www.google.com"  title="Add to the circle" ><img src="interfaces/{$interface_name}/img/social/RSS.png" alt="RSS" /></a></li>
					<li class="right-corner"><i></i></li>					
				</ul>
			</div>
			<!-- ENDS social -->
			<!-- widgets -->
			<ul  class="widget-cols cf">
				<li class="first-col">
					<div class="widget-block">
						<h4>RECENT POSTS</h4>
						<div class="recent-post cf">
							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
							<div class="post-head">
								<a href="#">Pellentesque habitant morbi senectus </a><span> March 12, 2011</span>
							</div>
						</div>
						<div class="recent-post cf">
							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
							<div class="post-head">
								<a href="#">Pellentesque habitant morbi senectus</a><span> March 12, 2011</span>
							</div>
						</div>
						<div class="recent-post cf">
							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
							<div class="post-head">
								<a href="#">Pellentesque habitant morbi senectus</a><span> March 12, 2011</span>
							</div>
						</div>
					</div>
				</li>
				<li class="second-col">
					<div class="widget-block">
						<h4>ABOUT</h4>
						<p>Vintage Template it's completely free this means you don't have to pay anything <a href="http://luiszuno.com/blog/license" >read license</a>.</p> 
						
						<p>Placeholder images by <a href="http://twistedfork.me/" >Dan Matutina</a></p>
						<p>Visit <a href="http://templatecreme.com/" >Template Creme</a> and find the most beautiful free templates up to date.</p></div>
				</li>
				<li class="third-col">
					<div class="widget-block">
						<div id="tweets" class="footer-col tweet">
		     				<h4>TWITTER WIDGET</h4>
		     			</div>
		     		</div>	
				</li>
				<li class="fourth-col">
					<div class="widget-block">
						<h4>CATEGORIES</h4>
						<ul>
							<li class="cat-item"><a href="#" >Design</a></li>
							<li class="cat-item"><a href="#" >Photo</a></li>
							<li class="cat-item"><a href="#" >Art</a></li>
							<li class="cat-item"><a href="#" >Game</a></li>
							<li class="cat-item"><a href="#" >Film</a></li>
							<li class="cat-item"><a href="#" >TV</a></li>
						</ul>
					</div>
		     		
				</li>	
			</ul>
			<!-- ENDS widgets -->
			<div id="footer-bottom">Vintage Template designed by <a href="http://www.luiszuno.com" >luiszuno.com</a></div>

		</div><!-- ENDS wrapper -->
	</footer>
</xsl:template>
<xsl:template name="navBar">
<xsl:choose>
<xsl:when test="page/pageResponse/collection">
<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
<xsl:variable name="currentPage" select="page/pageRequest/@fullURL"/>

<li><a href="{$library_name}">Home</a></li>
<li>
<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">active</xsl:attribute></xsl:if>
<a href="{$library_name}/collection/{$collNameChecked}/page/about">About</a>
</li>

<xsl:choose>
<xsl:when test="$count > 3">
<li><a href="{$currentPage}">Browse</a>
<ul>
<xsl:call-template name="Browsing"/>
</ul>
</li>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="Browsing"/>
</xsl:otherwise>
</xsl:choose>

<xsl:if test="/page/pageResponse/collection/serviceList/service/@type='query'">
<li><a href="{$currentPage}">Search</a>
<ul>
<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
<xsl:variable name="search" select="@name"/>
<xsl:variable name="search_name" select="displayItem[@name='name']"/>
<li><a href="{$library_name}/collection/{$collNameChecked}/search/{$search}"><xsl:value-of select="$search_name"/></a></li>
</xsl:for-each>
</ul>
</li>
</xsl:if>

</xsl:when>
<xsl:otherwise> </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="Browsing">
<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier">
<li>
<xsl:choose>
<!-- If this tab is selected then colour it differently -->
<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
<xsl:attribute name='class'>active</xsl:attribute>
</xsl:when>
<xsl:otherwise> </xsl:otherwise>
</xsl:choose>

<a>
<!-- Add a title element to the <a> tag if a description exists for this classifier -->
<xsl:if test="displayItem[@name='description']">
<xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute>
</xsl:if>

<!-- Add the href element to the <a> tag -->
<xsl:choose>
<xsl:when test="@name">
<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/<xsl:value-of select="@name"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/1</xsl:attribute>
</xsl:otherwise>
</xsl:choose>

<!-- Add the actual text of the <a> tag -->
<xsl:value-of select="displayItem[@name='name']"/>
</a>
</li>
</xsl:for-each>
</xsl:template>
		
</xsl:stylesheet>

















<!--		
<xsl:template name="navBar">
<xsl:choose>
<xsl:when test="page/pageResponse/collection">
<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
<xsl:variable name="currentPage" select="page/pageRequest/@fullURL"/>

<li><a href="{$library_name}">Home<i><b><xsl:text> </xsl:text></b></i></a></li>
<li>
<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
<a href="{$library_name}/collection/{$collNameChecked}/page/about">About<i><b><xsl:text> </xsl:text></b></i></a>
</li>

<xsl:choose>
<xsl:when test="$count > 3">
<li>
<xsl:if test="page/pageRequest/@action='b'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
<a href="{$currentPage}">Browse<i><b><xsl:text> </xsl:text></b></i></a>
<ul>
<xsl:call-template name="Browsing"/>
</ul>
</li>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="Browsing"/>
</xsl:otherwise>
</xsl:choose>

<xsl:if test="/page/pageResponse/collection/serviceList/service/@type='query'">
<li><xsl:if test="page/pageRequest/@action='q'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if><a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="$collNameChecked"/>/search/<xsl:value-of select="/page/pageResponse/collection/serviceList/service[@type='query'][1]/@name"/></xsl:attribute>Search<i><b><xsl:text> </xsl:text></b></i></a>
<ul>
<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
<xsl:variable name="search" select="@name"/>
<xsl:variable name="search_name" select="displayItem[@name='name']"/>
<li><a href="{$library_name}/collection/{$collNameChecked}/search/{$search}"><xsl:value-of select="$search_name"/></a></li>
</xsl:for-each>
</ul>
</li>
</xsl:if>

</xsl:when>
<xsl:otherwise> </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="Browsing">
<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier">
<li>
<xsl:choose>
<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
<xsl:attribute name='class'>current-menu-item</xsl:attribute>
</xsl:when>
<xsl:otherwise> </xsl:otherwise>
</xsl:choose>

<a>

<xsl:if test="displayItem[@name='description']">
<xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute>
</xsl:if>


<xsl:choose>
<xsl:when test="@name">
<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/<xsl:value-of select="@name"/></xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/1</xsl:attribute>
</xsl:otherwise>
</xsl:choose>

<xsl:value-of select="displayItem[@name='name']"/><i><b><xsl:text> </xsl:text></b></i>
</a>
</li>
</xsl:for-each>
</xsl:template>		
	-->	






